#############################################################
#
# libpibox
#
#############################################################
LIBPIBOX_VERSION = master
LIBPIBOX_SITE_METHOD = git
LIBPIBOX_SITE = https://gitlab.com/pibox/libpibox.git
LIBPIBOX_DEPENDENCIES = host-pkgconf libgtk2
LIBPIBOX_AUTORECONF = YES
LIBPIBOX_LIBTOOL_PATCH = YES
LIBPIBOX_INSTALL_STAGING = YES

define LIBPIBOX_PRE_CONFIGURE_FIXUP
    cd $(@D) && autoreconf -i
endef

LIBPIBOX_PRE_CONFIGURE_HOOKS += LIBPIBOX_PRE_CONFIGURE_FIXUP

$(eval $(autotools-package))
